org.apache.bcel.generic

## Class LineNumberGen

- java.lang.Object
- - org.apache.bcel.generic.LineNumberGen

- All Implemented Interfaces:
    Cloneable, InstructionTargeter

      public class LineNumberGen
      extends Object
      implements InstructionTargeter, Cloneable

  This class represents a line number within a method, i.e., give an instruction a line number corresponding to the source code line.
  Version:
    $Id: LineNumberGen.java 1806200 2017-08-25 16:33:06Z ggregory $
  See Also:
    `LineNumber`, `MethodGen`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineNumberGen(InstructionHandle ih, int src_line)` Create a line number.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `boolean` | `containsTarget(InstructionHandle ih)` Checks whether this targeter targets the specified instruction handle.
    `InstructionHandle` | `getInstruction()`
    `LineNumber` | `getLineNumber()` Get LineNumber attribute .
    `int` | `getSourceLine()`
    `void` | `setInstruction(InstructionHandle ih)`
    `void` | `setSourceLine(int src_line)`
    `void` | `updateTarget(InstructionHandle old_ih, InstructionHandle new_ih)` Replaces the target of this targeter from this old handle to the new handle.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineNumberGen

          public LineNumberGen(InstructionHandle ih,
                               int src_line)

      Create a line number.
      Parameters:
        `ih` - instruction handle to reference

  - ### Method Detail

    - #### containsTarget

          public boolean containsTarget(InstructionHandle ih)

      Description copied from interface: `InstructionTargeter`
      Checks whether this targeter targets the specified instruction handle.
      Specified by:
        `containsTarget` in interface `InstructionTargeter`
      Returns:
        true, if ih is target of this line number

    - #### updateTarget

          public void updateTarget(InstructionHandle old_ih,
                                   InstructionHandle new_ih)

      Description copied from interface: `InstructionTargeter`
      Replaces the target of this targeter from this old handle to the new handle.
      Specified by:
        `updateTarget` in interface `InstructionTargeter`
      Parameters:
        `old_ih` - old target
        `new_ih` - new target

    - #### getLineNumber

          public LineNumber getLineNumber()

      Get LineNumber attribute . This relies on that the instruction list has already been dumped to byte code or or that the `setPositions' methods has been called for the instruction list.

    - #### setInstruction

          public void setInstruction(InstructionHandle ih)

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getInstruction

          public InstructionHandle getInstruction()

    - #### setSourceLine

          public void setSourceLine(int src_line)

    - #### getSourceLine

          public int getSourceLine()

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.